/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SealBizTypeEnum extends StringEnum
{
    public static final String PUBLIC_VALUE = "PUBLIC";//alias=公章
    public static final String CONTRACT_VALUE = "CONTRACT";//alias=合同专用章
    public static final String FINANCE_VALUE = "FINANCE";//alias=财务专用章
    public static final String PERSONNEL_VALUE = "PERSONNEL";//alias=人事专用章
    public static final String LEGAL_PERSON_VALUE = "LEGAL_PERSON";//alias=法定代表人章
    public static final String COMMON_VALUE = "COMMON";//alias=其他

    public static final SealBizTypeEnum PUBLIC = new SealBizTypeEnum("PUBLIC", PUBLIC_VALUE);
    public static final SealBizTypeEnum CONTRACT = new SealBizTypeEnum("CONTRACT", CONTRACT_VALUE);
    public static final SealBizTypeEnum FINANCE = new SealBizTypeEnum("FINANCE", FINANCE_VALUE);
    public static final SealBizTypeEnum PERSONNEL = new SealBizTypeEnum("PERSONNEL", PERSONNEL_VALUE);
    public static final SealBizTypeEnum LEGAL_PERSON = new SealBizTypeEnum("LEGAL_PERSON", LEGAL_PERSON_VALUE);
    public static final SealBizTypeEnum COMMON = new SealBizTypeEnum("COMMON", COMMON_VALUE);

    /**
     * construct function
     * @param String sealBizTypeEnum
     */
    private SealBizTypeEnum(String name, String sealBizTypeEnum)
    {
        super(name, sealBizTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SealBizTypeEnum getEnum(String sealBizTypeEnum)
    {
        return (SealBizTypeEnum)getEnum(SealBizTypeEnum.class, sealBizTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SealBizTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SealBizTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SealBizTypeEnum.class);
    }
}